Categories:
  - System
License: AGPL-3.0-or-later
AuthorName: Irfan Latif
SourceCode: https://github.com/mirfatif/PermissionManagerX
IssueTracker: https://github.com/mirfatif/PermissionManagerX/issues
Changelog: https://github.com/mirfatif/PermissionManagerX/releases

AutoName: Permission Manager X

RepoType: git
Repo: https://github.com/mirfatif/PermissionManagerX

Builds:
  - versionName: v1.05
    versionCode: 105
    commit: v1.05
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/priv_daemon-release/priv_daemon-release-unsigned/' build.gradle
      - sed -i -e 's/pref_settings_check_for_updates_default">true/pref_settings_check_for_updates_default">false/'
        src/main/res/values/preference_keys.xml
    ndk: r21e

  - versionName: v1.06
    versionCode: 106
    commit: v1.06
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/priv_daemon-release/priv_daemon-release-unsigned/' build.gradle
      - sed -i -e 's/pref_settings_check_for_updates_default">true/pref_settings_check_for_updates_default">false/'
        src/main/res/values/preference_keys.xml
      - sed -i -e 's#new File(sdkDir, "ndk/" + ndkVer).getAbsolutePath()#"$$NDK$$"#'
        build.gradle
    ndk: r22b

  - versionName: v1.07
    versionCode: 107
    commit: 6e15c8fdfae635ee1cec56d3bd76c23a5c2a2d40
    subdir: app
    submodules: true
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - sed -i -e 's/priv_daemon-release/priv_daemon-release-unsigned/' build.gradle
      - sed -i -e 's/pref_settings_check_for_updates_default">true/pref_settings_check_for_updates_default">false/'
        src/main/res/values/preference_keys.xml
      - sed -i -e 's#new File(sdkDir, "ndk/" + ndkVer).getAbsolutePath()#"$$NDK$$"#'
        build.gradle
    ndk: r22b

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: v1.07
CurrentVersionCode: 107
